Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.thrift
Class CounterColumn

    java.lang.Object
      org.apache.cassandra.thrift.CounterColumn

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<CounterColumn>, org.apache.thrift.TBase<CounterColumn,CounterColumn._Fields>

    public class CounterColumn

extends java.lang.Object
implements org.apache.thrift.TBase<CounterColumn,CounterColumn._Fields>, java.io.Serializable, java.lang.Cloneable

See Also:
  Serialized Form

Nested Class Summary
`static class` | `CounterColumn._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

Field Summary
`static java.util.Map<CounterColumn._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`
`java.nio.ByteBuffer` | `name`
`long` | `value`

Constructor Summary
`CounterColumn()`
`CounterColumn(java.nio.ByteBuffer name, long value)`
`CounterColumn(CounterColumn other)` Performs a deep copy on other.

Method Summary
`java.nio.ByteBuffer` | `bufferForName()`
`void` | `clear()`
`int` | `compareTo(CounterColumn other)`
`CounterColumn` | `deepCopy()`
`boolean` | `equals(CounterColumn that)`
`boolean` | `equals(java.lang.Object that)`
`CounterColumn._Fields` | `fieldForId(int fieldId)`
`java.lang.Object` | `getFieldValue(CounterColumn._Fields field)`
`byte[]` | `getName()`
`long` | `getValue()`
`int` | `hashCode()`
`boolean` | `isSet(CounterColumn._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` | `isSetName()` Returns true if field name is set (has been assigned a value) and false otherwise
`boolean` | `isSetValue()` Returns true if field value is set (has been assigned a value) and false otherwise
`void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
`void` | `setFieldValue(CounterColumn._Fields field, java.lang.Object value)`
`CounterColumn` | `setName(byte[] name)`
`CounterColumn` | `setName(java.nio.ByteBuffer name)`
`void` | `setNameIsSet(boolean value)`
`CounterColumn` | `setValue(long value)`
`void` | `setValueIsSet(boolean value)`
`java.lang.String` | `toString()`
`void` | `unsetName()`
`void` | `unsetValue()`
`void` | `validate()`
`void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    public java.nio.ByteBuffer name

### value

    public long value

### metaDataMap

    public static final java.util.Map<CounterColumn._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

Constructor Detail

### CounterColumn

    public CounterColumn()

### CounterColumn

    public CounterColumn(java.nio.ByteBuffer name,
                         long value)

### CounterColumn

    public CounterColumn(CounterColumn other)

  Performs a deep copy on other.

Method Detail

### deepCopy

    public CounterColumn deepCopy()

  Specified by:
    `deepCopy` in interface `org.apache.thrift.TBase<CounterColumn,CounterColumn._Fields>`

### clear

    public void clear()

  Specified by:
    `clear` in interface `org.apache.thrift.TBase<CounterColumn,CounterColumn._Fields>`

### getName

    public byte[] getName()

### bufferForName

    public java.nio.ByteBuffer bufferForName()

### setName

    public CounterColumn setName(byte[] name)

### setName

    public CounterColumn setName(java.nio.ByteBuffer name)

### unsetName

    public void unsetName()

### isSetName

    public boolean isSetName()

  Returns true if field name is set (has been assigned a value) and false otherwise

### setNameIsSet

    public void setNameIsSet(boolean value)

### getValue

    public long getValue()

### setValue

    public CounterColumn setValue(long value)

### unsetValue

    public void unsetValue()

### isSetValue

    public boolean isSetValue()

  Returns true if field value is set (has been assigned a value) and false otherwise

### setValueIsSet

    public void setValueIsSet(boolean value)

### setFieldValue

    public void setFieldValue(CounterColumn._Fields field,
                              java.lang.Object value)

  Specified by:
    `setFieldValue` in interface `org.apache.thrift.TBase<CounterColumn,CounterColumn._Fields>`

### getFieldValue

    public java.lang.Object getFieldValue(CounterColumn._Fields field)

  Specified by:
    `getFieldValue` in interface `org.apache.thrift.TBase<CounterColumn,CounterColumn._Fields>`

### isSet

    public boolean isSet(CounterColumn._Fields field)

  Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

  Specified by:
    `isSet` in interface `org.apache.thrift.TBase<CounterColumn,CounterColumn._Fields>`

### equals

    public boolean equals(java.lang.Object that)

  Overrides:
    `equals` in class `java.lang.Object`

### equals

    public boolean equals(CounterColumn that)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### compareTo

    public int compareTo(CounterColumn other)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<CounterColumn>`

### fieldForId

    public CounterColumn._Fields fieldForId(int fieldId)

  Specified by:
    `fieldForId` in interface `org.apache.thrift.TBase<CounterColumn,CounterColumn._Fields>`

### read

    public void read(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

  Specified by:
    `read` in interface `org.apache.thrift.TBase<CounterColumn,CounterColumn._Fields>`
  Throws:
    `org.apache.thrift.TException`

### write

    public void write(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

  Specified by:
    `write` in interface `org.apache.thrift.TBase<CounterColumn,CounterColumn._Fields>`
  Throws:
    `org.apache.thrift.TException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### validate

    public void validate()
                  throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation